Installer - Bug #33109

Date used by katello-certs-check should be formatted correctly by program
07/22/2021 02:08 PM - Birkir Hjartarson

Status: Closed

Priority: Low

Assignee:

Category: foreman-installer script

Target version:

Difficulty: Fixed in Releases: 3.1.0
Triaged: Yes Found in Releases: 2.5.1
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/729

Description

Original post in support forum:
https://community.theforeman.org/t/date-used-by-katello-certs-check-should-be-formatted-correctly-by-program/24527

Problem:

when foreman-installer runs, it runs katello-certs-check as part of the run, which in turn runs some date check. The certs-check
completes successfully and everything is fine, but theres always an error that gets printed on my system due to being set to Icelandic
locale:

date: invalid date ‘jul 20 14:36:21 2021’

Expected outcome:
Date command used by katello-certs-check should be locale-agnostic, like using standard iso format and not relying on servers
locale settings

Foreman and Proxy versions:
“Error” has popped up for a few versions now, latest while upgrading to 2.5/ 4.1

Foreman and Proxy plugin versions:

Distribution and version:
CentOS 7

Other relevant data:

Output from locale command:
LANG=en_US.UTF-8
LC_CTYPE="is_IS.UTF-8"
LC_NUMERIC="is_IS.UTF-8"
LC_TIME="is_IS.UTF-8"
LC_COLLATE="is_IS.UTF-8”
LC_MONETARY="is_IS.UTF-8"
LC_MESSAGES="is_IS.UTF-8"
LC_PAPER="is_IS.UTF-8"
LC_NAME="is_IS.UTF-8"
LC_ADDRESS=‘is_IS.UTF-8”
LC_TELEPHONE=‘is_IS.UTF-8"
LC_MEASUREMENT="is_IS.UTF-8"
LC_IDENTIFICATION="is_IS.UTF-8"
LC_ALL=is_IS.UTF-8

Related issues:
Related to Installer - Bug #28004: katello-certs-check should set locales for... Duplicate

Associated revisions

Revision 92662889 - 10/26/2021 02:06 PM - Birkir Freyr
https://community.theforeman.org/t/date-used-by-katello-certs-check-should-be-formatted-correctly-by-program/24527

Fixes #33109 - Date used by katello-certs-check should be correctly formatted

History

#1 - 07/22/2021 03:15 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script

- Triaged changed from No to Yes

- Found in Releases 2.5.1 added

Looks like that's here:
https://github.com/theforeman/foreman-installer/blob/90060e84586a2b2c340bbf9a525d0ea8cdfdaf78/bin/katello-certs-check#L.98-1.103

#2 - 10/26/2021 12:34 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/729 added

#3 - 10/26/2021 02:06 PM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#4 - 10/26/2021 03:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset installer|926628891b02f7408cd59ce7c0a832c94709f3b4.

#5 - 03/03/2022 01:24 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #28004: katello-certs-check should set locales for $(date) commands added
